org.apache.catalina.ssi

## Class ExpressionParseTree

- java.lang.Object
- - org.apache.catalina.ssi.ExpressionParseTree

    public class ExpressionParseTree
    extends Object

Represents a parsed expression.

Author:
  Paul Speed

### Constructor Summary

Constructors
Constructor and Description
`ExpressionParseTree(String expr, SSIMediator ssiMediator)` Creates a new parse tree for the specified expression.

### Method Summary

Methods
`boolean` `evaluateTree()` Evaluates the tree and returns true or false.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionParseTree

    public ExpressionParseTree(String expr,
                       SSIMediator ssiMediator)
                        throws ParseException

Creates a new parse tree for the specified expression.

Throws:
  `ParseException`

### Method Detail

#### evaluateTree

    public boolean evaluateTree()

Evaluates the tree and returns true or false. The specified SSIMediator is used to resolve variable references.